Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network165.158.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
165.158.0.0
Broadcast address
165.159.255.255
First usable
165.158.0.1
Last usable
165.159.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex A59E0000 · Integer 2778595328 to 2778726399
Reverse DNS zones
158.165.in-addr.arpa
159.165.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100101.10011110.00000000.00000000165.158.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10100101.10011110.00000000.00000000165.158.0.0
Broadcast10100101.10011111.11111111.11111111165.159.255.255
Split into smaller subnets/23

165.158.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1165.158.0.0/23165.158.0.1 to 165.158.1.254165.158.1.255510
2165.158.2.0/23165.158.2.1 to 165.158.3.254165.158.3.255510
3165.158.4.0/23165.158.4.1 to 165.158.5.254165.158.5.255510
4165.158.6.0/23165.158.6.1 to 165.158.7.254165.158.7.255510
5165.158.8.0/23165.158.8.1 to 165.158.9.254165.158.9.255510
6165.158.10.0/23165.158.10.1 to 165.158.11.254165.158.11.255510
7165.158.12.0/23165.158.12.1 to 165.158.13.254165.158.13.255510
8165.158.14.0/23165.158.14.1 to 165.158.15.254165.158.15.255510
9165.158.16.0/23165.158.16.1 to 165.158.17.254165.158.17.255510
10165.158.18.0/23165.158.18.1 to 165.158.19.254165.158.19.255510
11165.158.20.0/23165.158.20.1 to 165.158.21.254165.158.21.255510
12165.158.22.0/23165.158.22.1 to 165.158.23.254165.158.23.255510
13165.158.24.0/23165.158.24.1 to 165.158.25.254165.158.25.255510
14165.158.26.0/23165.158.26.1 to 165.158.27.254165.158.27.255510
15165.158.28.0/23165.158.28.1 to 165.158.29.254165.158.29.255510
16165.158.30.0/23165.158.30.1 to 165.158.31.254165.158.31.255510
17165.158.32.0/23165.158.32.1 to 165.158.33.254165.158.33.255510
18165.158.34.0/23165.158.34.1 to 165.158.35.254165.158.35.255510
19165.158.36.0/23165.158.36.1 to 165.158.37.254165.158.37.255510
20165.158.38.0/23165.158.38.1 to 165.158.39.254165.158.39.255510
21165.158.40.0/23165.158.40.1 to 165.158.41.254165.158.41.255510
22165.158.42.0/23165.158.42.1 to 165.158.43.254165.158.43.255510
23165.158.44.0/23165.158.44.1 to 165.158.45.254165.158.45.255510
24165.158.46.0/23165.158.46.1 to 165.158.47.254165.158.47.255510
25165.158.48.0/23165.158.48.1 to 165.158.49.254165.158.49.255510
26165.158.50.0/23165.158.50.1 to 165.158.51.254165.158.51.255510
27165.158.52.0/23165.158.52.1 to 165.158.53.254165.158.53.255510
28165.158.54.0/23165.158.54.1 to 165.158.55.254165.158.55.255510
29165.158.56.0/23165.158.56.1 to 165.158.57.254165.158.57.255510
30165.158.58.0/23165.158.58.1 to 165.158.59.254165.158.59.255510
31165.158.60.0/23165.158.60.1 to 165.158.61.254165.158.61.255510
32165.158.62.0/23165.158.62.1 to 165.158.63.254165.158.63.255510
33165.158.64.0/23165.158.64.1 to 165.158.65.254165.158.65.255510
34165.158.66.0/23165.158.66.1 to 165.158.67.254165.158.67.255510
35165.158.68.0/23165.158.68.1 to 165.158.69.254165.158.69.255510
36165.158.70.0/23165.158.70.1 to 165.158.71.254165.158.71.255510
37165.158.72.0/23165.158.72.1 to 165.158.73.254165.158.73.255510
38165.158.74.0/23165.158.74.1 to 165.158.75.254165.158.75.255510
39165.158.76.0/23165.158.76.1 to 165.158.77.254165.158.77.255510
40165.158.78.0/23165.158.78.1 to 165.158.79.254165.158.79.255510
41165.158.80.0/23165.158.80.1 to 165.158.81.254165.158.81.255510
42165.158.82.0/23165.158.82.1 to 165.158.83.254165.158.83.255510
43165.158.84.0/23165.158.84.1 to 165.158.85.254165.158.85.255510
44165.158.86.0/23165.158.86.1 to 165.158.87.254165.158.87.255510
45165.158.88.0/23165.158.88.1 to 165.158.89.254165.158.89.255510
46165.158.90.0/23165.158.90.1 to 165.158.91.254165.158.91.255510
47165.158.92.0/23165.158.92.1 to 165.158.93.254165.158.93.255510
48165.158.94.0/23165.158.94.1 to 165.158.95.254165.158.95.255510
49165.158.96.0/23165.158.96.1 to 165.158.97.254165.158.97.255510
50165.158.98.0/23165.158.98.1 to 165.158.99.254165.158.99.255510
51165.158.100.0/23165.158.100.1 to 165.158.101.254165.158.101.255510
52165.158.102.0/23165.158.102.1 to 165.158.103.254165.158.103.255510
53165.158.104.0/23165.158.104.1 to 165.158.105.254165.158.105.255510
54165.158.106.0/23165.158.106.1 to 165.158.107.254165.158.107.255510
55165.158.108.0/23165.158.108.1 to 165.158.109.254165.158.109.255510
56165.158.110.0/23165.158.110.1 to 165.158.111.254165.158.111.255510
57165.158.112.0/23165.158.112.1 to 165.158.113.254165.158.113.255510
58165.158.114.0/23165.158.114.1 to 165.158.115.254165.158.115.255510
59165.158.116.0/23165.158.116.1 to 165.158.117.254165.158.117.255510
60165.158.118.0/23165.158.118.1 to 165.158.119.254165.158.119.255510
61165.158.120.0/23165.158.120.1 to 165.158.121.254165.158.121.255510
62165.158.122.0/23165.158.122.1 to 165.158.123.254165.158.123.255510
63165.158.124.0/23165.158.124.1 to 165.158.125.254165.158.125.255510
64165.158.126.0/23165.158.126.1 to 165.158.127.254165.158.127.255510
65165.158.128.0/23165.158.128.1 to 165.158.129.254165.158.129.255510
66165.158.130.0/23165.158.130.1 to 165.158.131.254165.158.131.255510
67165.158.132.0/23165.158.132.1 to 165.158.133.254165.158.133.255510
68165.158.134.0/23165.158.134.1 to 165.158.135.254165.158.135.255510
69165.158.136.0/23165.158.136.1 to 165.158.137.254165.158.137.255510
70165.158.138.0/23165.158.138.1 to 165.158.139.254165.158.139.255510
71165.158.140.0/23165.158.140.1 to 165.158.141.254165.158.141.255510
72165.158.142.0/23165.158.142.1 to 165.158.143.254165.158.143.255510
73165.158.144.0/23165.158.144.1 to 165.158.145.254165.158.145.255510
74165.158.146.0/23165.158.146.1 to 165.158.147.254165.158.147.255510
75165.158.148.0/23165.158.148.1 to 165.158.149.254165.158.149.255510
76165.158.150.0/23165.158.150.1 to 165.158.151.254165.158.151.255510
77165.158.152.0/23165.158.152.1 to 165.158.153.254165.158.153.255510
78165.158.154.0/23165.158.154.1 to 165.158.155.254165.158.155.255510
79165.158.156.0/23165.158.156.1 to 165.158.157.254165.158.157.255510
80165.158.158.0/23165.158.158.1 to 165.158.159.254165.158.159.255510
81165.158.160.0/23165.158.160.1 to 165.158.161.254165.158.161.255510
82165.158.162.0/23165.158.162.1 to 165.158.163.254165.158.163.255510
83165.158.164.0/23165.158.164.1 to 165.158.165.254165.158.165.255510
84165.158.166.0/23165.158.166.1 to 165.158.167.254165.158.167.255510
85165.158.168.0/23165.158.168.1 to 165.158.169.254165.158.169.255510
86165.158.170.0/23165.158.170.1 to 165.158.171.254165.158.171.255510
87165.158.172.0/23165.158.172.1 to 165.158.173.254165.158.173.255510
88165.158.174.0/23165.158.174.1 to 165.158.175.254165.158.175.255510
89165.158.176.0/23165.158.176.1 to 165.158.177.254165.158.177.255510
90165.158.178.0/23165.158.178.1 to 165.158.179.254165.158.179.255510
91165.158.180.0/23165.158.180.1 to 165.158.181.254165.158.181.255510
92165.158.182.0/23165.158.182.1 to 165.158.183.254165.158.183.255510
93165.158.184.0/23165.158.184.1 to 165.158.185.254165.158.185.255510
94165.158.186.0/23165.158.186.1 to 165.158.187.254165.158.187.255510
95165.158.188.0/23165.158.188.1 to 165.158.189.254165.158.189.255510
96165.158.190.0/23165.158.190.1 to 165.158.191.254165.158.191.255510
97165.158.192.0/23165.158.192.1 to 165.158.193.254165.158.193.255510
98165.158.194.0/23165.158.194.1 to 165.158.195.254165.158.195.255510
99165.158.196.0/23165.158.196.1 to 165.158.197.254165.158.197.255510
100165.158.198.0/23165.158.198.1 to 165.158.199.254165.158.199.255510
101165.158.200.0/23165.158.200.1 to 165.158.201.254165.158.201.255510
102165.158.202.0/23165.158.202.1 to 165.158.203.254165.158.203.255510
103165.158.204.0/23165.158.204.1 to 165.158.205.254165.158.205.255510
104165.158.206.0/23165.158.206.1 to 165.158.207.254165.158.207.255510
105165.158.208.0/23165.158.208.1 to 165.158.209.254165.158.209.255510
106165.158.210.0/23165.158.210.1 to 165.158.211.254165.158.211.255510
107165.158.212.0/23165.158.212.1 to 165.158.213.254165.158.213.255510
108165.158.214.0/23165.158.214.1 to 165.158.215.254165.158.215.255510
109165.158.216.0/23165.158.216.1 to 165.158.217.254165.158.217.255510
110165.158.218.0/23165.158.218.1 to 165.158.219.254165.158.219.255510
111165.158.220.0/23165.158.220.1 to 165.158.221.254165.158.221.255510
112165.158.222.0/23165.158.222.1 to 165.158.223.254165.158.223.255510
113165.158.224.0/23165.158.224.1 to 165.158.225.254165.158.225.255510
114165.158.226.0/23165.158.226.1 to 165.158.227.254165.158.227.255510
115165.158.228.0/23165.158.228.1 to 165.158.229.254165.158.229.255510
116165.158.230.0/23165.158.230.1 to 165.158.231.254165.158.231.255510
117165.158.232.0/23165.158.232.1 to 165.158.233.254165.158.233.255510
118165.158.234.0/23165.158.234.1 to 165.158.235.254165.158.235.255510
119165.158.236.0/23165.158.236.1 to 165.158.237.254165.158.237.255510
120165.158.238.0/23165.158.238.1 to 165.158.239.254165.158.239.255510
121165.158.240.0/23165.158.240.1 to 165.158.241.254165.158.241.255510
122165.158.242.0/23165.158.242.1 to 165.158.243.254165.158.243.255510
123165.158.244.0/23165.158.244.1 to 165.158.245.254165.158.245.255510
124165.158.246.0/23165.158.246.1 to 165.158.247.254165.158.247.255510
125165.158.248.0/23165.158.248.1 to 165.158.249.254165.158.249.255510
126165.158.250.0/23165.158.250.1 to 165.158.251.254165.158.251.255510
127165.158.252.0/23165.158.252.1 to 165.158.253.254165.158.253.255510
128165.158.254.0/23165.158.254.1 to 165.158.255.254165.158.255.255510
129165.159.0.0/23165.159.0.1 to 165.159.1.254165.159.1.255510
130165.159.2.0/23165.159.2.1 to 165.159.3.254165.159.3.255510
131165.159.4.0/23165.159.4.1 to 165.159.5.254165.159.5.255510
132165.159.6.0/23165.159.6.1 to 165.159.7.254165.159.7.255510
133165.159.8.0/23165.159.8.1 to 165.159.9.254165.159.9.255510
134165.159.10.0/23165.159.10.1 to 165.159.11.254165.159.11.255510
135165.159.12.0/23165.159.12.1 to 165.159.13.254165.159.13.255510
136165.159.14.0/23165.159.14.1 to 165.159.15.254165.159.15.255510
137165.159.16.0/23165.159.16.1 to 165.159.17.254165.159.17.255510
138165.159.18.0/23165.159.18.1 to 165.159.19.254165.159.19.255510
139165.159.20.0/23165.159.20.1 to 165.159.21.254165.159.21.255510
140165.159.22.0/23165.159.22.1 to 165.159.23.254165.159.23.255510
141165.159.24.0/23165.159.24.1 to 165.159.25.254165.159.25.255510
142165.159.26.0/23165.159.26.1 to 165.159.27.254165.159.27.255510
143165.159.28.0/23165.159.28.1 to 165.159.29.254165.159.29.255510
144165.159.30.0/23165.159.30.1 to 165.159.31.254165.159.31.255510
145165.159.32.0/23165.159.32.1 to 165.159.33.254165.159.33.255510
146165.159.34.0/23165.159.34.1 to 165.159.35.254165.159.35.255510
147165.159.36.0/23165.159.36.1 to 165.159.37.254165.159.37.255510
148165.159.38.0/23165.159.38.1 to 165.159.39.254165.159.39.255510
149165.159.40.0/23165.159.40.1 to 165.159.41.254165.159.41.255510
150165.159.42.0/23165.159.42.1 to 165.159.43.254165.159.43.255510
151165.159.44.0/23165.159.44.1 to 165.159.45.254165.159.45.255510
152165.159.46.0/23165.159.46.1 to 165.159.47.254165.159.47.255510
153165.159.48.0/23165.159.48.1 to 165.159.49.254165.159.49.255510
154165.159.50.0/23165.159.50.1 to 165.159.51.254165.159.51.255510
155165.159.52.0/23165.159.52.1 to 165.159.53.254165.159.53.255510
156165.159.54.0/23165.159.54.1 to 165.159.55.254165.159.55.255510
157165.159.56.0/23165.159.56.1 to 165.159.57.254165.159.57.255510
158165.159.58.0/23165.159.58.1 to 165.159.59.254165.159.59.255510
159165.159.60.0/23165.159.60.1 to 165.159.61.254165.159.61.255510
160165.159.62.0/23165.159.62.1 to 165.159.63.254165.159.63.255510
161165.159.64.0/23165.159.64.1 to 165.159.65.254165.159.65.255510
162165.159.66.0/23165.159.66.1 to 165.159.67.254165.159.67.255510
163165.159.68.0/23165.159.68.1 to 165.159.69.254165.159.69.255510
164165.159.70.0/23165.159.70.1 to 165.159.71.254165.159.71.255510
165165.159.72.0/23165.159.72.1 to 165.159.73.254165.159.73.255510
166165.159.74.0/23165.159.74.1 to 165.159.75.254165.159.75.255510
167165.159.76.0/23165.159.76.1 to 165.159.77.254165.159.77.255510
168165.159.78.0/23165.159.78.1 to 165.159.79.254165.159.79.255510
169165.159.80.0/23165.159.80.1 to 165.159.81.254165.159.81.255510
170165.159.82.0/23165.159.82.1 to 165.159.83.254165.159.83.255510
171165.159.84.0/23165.159.84.1 to 165.159.85.254165.159.85.255510
172165.159.86.0/23165.159.86.1 to 165.159.87.254165.159.87.255510
173165.159.88.0/23165.159.88.1 to 165.159.89.254165.159.89.255510
174165.159.90.0/23165.159.90.1 to 165.159.91.254165.159.91.255510
175165.159.92.0/23165.159.92.1 to 165.159.93.254165.159.93.255510
176165.159.94.0/23165.159.94.1 to 165.159.95.254165.159.95.255510
177165.159.96.0/23165.159.96.1 to 165.159.97.254165.159.97.255510
178165.159.98.0/23165.159.98.1 to 165.159.99.254165.159.99.255510
179165.159.100.0/23165.159.100.1 to 165.159.101.254165.159.101.255510
180165.159.102.0/23165.159.102.1 to 165.159.103.254165.159.103.255510
181165.159.104.0/23165.159.104.1 to 165.159.105.254165.159.105.255510
182165.159.106.0/23165.159.106.1 to 165.159.107.254165.159.107.255510
183165.159.108.0/23165.159.108.1 to 165.159.109.254165.159.109.255510
184165.159.110.0/23165.159.110.1 to 165.159.111.254165.159.111.255510
185165.159.112.0/23165.159.112.1 to 165.159.113.254165.159.113.255510
186165.159.114.0/23165.159.114.1 to 165.159.115.254165.159.115.255510
187165.159.116.0/23165.159.116.1 to 165.159.117.254165.159.117.255510
188165.159.118.0/23165.159.118.1 to 165.159.119.254165.159.119.255510
189165.159.120.0/23165.159.120.1 to 165.159.121.254165.159.121.255510
190165.159.122.0/23165.159.122.1 to 165.159.123.254165.159.123.255510
191165.159.124.0/23165.159.124.1 to 165.159.125.254165.159.125.255510
192165.159.126.0/23165.159.126.1 to 165.159.127.254165.159.127.255510
193165.159.128.0/23165.159.128.1 to 165.159.129.254165.159.129.255510
194165.159.130.0/23165.159.130.1 to 165.159.131.254165.159.131.255510
195165.159.132.0/23165.159.132.1 to 165.159.133.254165.159.133.255510
196165.159.134.0/23165.159.134.1 to 165.159.135.254165.159.135.255510
197165.159.136.0/23165.159.136.1 to 165.159.137.254165.159.137.255510
198165.159.138.0/23165.159.138.1 to 165.159.139.254165.159.139.255510
199165.159.140.0/23165.159.140.1 to 165.159.141.254165.159.141.255510
200165.159.142.0/23165.159.142.1 to 165.159.143.254165.159.143.255510
201165.159.144.0/23165.159.144.1 to 165.159.145.254165.159.145.255510
202165.159.146.0/23165.159.146.1 to 165.159.147.254165.159.147.255510
203165.159.148.0/23165.159.148.1 to 165.159.149.254165.159.149.255510
204165.159.150.0/23165.159.150.1 to 165.159.151.254165.159.151.255510
205165.159.152.0/23165.159.152.1 to 165.159.153.254165.159.153.255510
206165.159.154.0/23165.159.154.1 to 165.159.155.254165.159.155.255510
207165.159.156.0/23165.159.156.1 to 165.159.157.254165.159.157.255510
208165.159.158.0/23165.159.158.1 to 165.159.159.254165.159.159.255510
209165.159.160.0/23165.159.160.1 to 165.159.161.254165.159.161.255510
210165.159.162.0/23165.159.162.1 to 165.159.163.254165.159.163.255510
211165.159.164.0/23165.159.164.1 to 165.159.165.254165.159.165.255510
212165.159.166.0/23165.159.166.1 to 165.159.167.254165.159.167.255510
213165.159.168.0/23165.159.168.1 to 165.159.169.254165.159.169.255510
214165.159.170.0/23165.159.170.1 to 165.159.171.254165.159.171.255510
215165.159.172.0/23165.159.172.1 to 165.159.173.254165.159.173.255510
216165.159.174.0/23165.159.174.1 to 165.159.175.254165.159.175.255510
217165.159.176.0/23165.159.176.1 to 165.159.177.254165.159.177.255510
218165.159.178.0/23165.159.178.1 to 165.159.179.254165.159.179.255510
219165.159.180.0/23165.159.180.1 to 165.159.181.254165.159.181.255510
220165.159.182.0/23165.159.182.1 to 165.159.183.254165.159.183.255510
221165.159.184.0/23165.159.184.1 to 165.159.185.254165.159.185.255510
222165.159.186.0/23165.159.186.1 to 165.159.187.254165.159.187.255510
223165.159.188.0/23165.159.188.1 to 165.159.189.254165.159.189.255510
224165.159.190.0/23165.159.190.1 to 165.159.191.254165.159.191.255510
225165.159.192.0/23165.159.192.1 to 165.159.193.254165.159.193.255510
226165.159.194.0/23165.159.194.1 to 165.159.195.254165.159.195.255510
227165.159.196.0/23165.159.196.1 to 165.159.197.254165.159.197.255510
228165.159.198.0/23165.159.198.1 to 165.159.199.254165.159.199.255510
229165.159.200.0/23165.159.200.1 to 165.159.201.254165.159.201.255510
230165.159.202.0/23165.159.202.1 to 165.159.203.254165.159.203.255510
231165.159.204.0/23165.159.204.1 to 165.159.205.254165.159.205.255510
232165.159.206.0/23165.159.206.1 to 165.159.207.254165.159.207.255510
233165.159.208.0/23165.159.208.1 to 165.159.209.254165.159.209.255510
234165.159.210.0/23165.159.210.1 to 165.159.211.254165.159.211.255510
235165.159.212.0/23165.159.212.1 to 165.159.213.254165.159.213.255510
236165.159.214.0/23165.159.214.1 to 165.159.215.254165.159.215.255510
237165.159.216.0/23165.159.216.1 to 165.159.217.254165.159.217.255510
238165.159.218.0/23165.159.218.1 to 165.159.219.254165.159.219.255510
239165.159.220.0/23165.159.220.1 to 165.159.221.254165.159.221.255510
240165.159.222.0/23165.159.222.1 to 165.159.223.254165.159.223.255510
241165.159.224.0/23165.159.224.1 to 165.159.225.254165.159.225.255510
242165.159.226.0/23165.159.226.1 to 165.159.227.254165.159.227.255510
243165.159.228.0/23165.159.228.1 to 165.159.229.254165.159.229.255510
244165.159.230.0/23165.159.230.1 to 165.159.231.254165.159.231.255510
245165.159.232.0/23165.159.232.1 to 165.159.233.254165.159.233.255510
246165.159.234.0/23165.159.234.1 to 165.159.235.254165.159.235.255510
247165.159.236.0/23165.159.236.1 to 165.159.237.254165.159.237.255510
248165.159.238.0/23165.159.238.1 to 165.159.239.254165.159.239.255510
249165.159.240.0/23165.159.240.1 to 165.159.241.254165.159.241.255510
250165.159.242.0/23165.159.242.1 to 165.159.243.254165.159.243.255510
251165.159.244.0/23165.159.244.1 to 165.159.245.254165.159.245.255510
252165.159.246.0/23165.159.246.1 to 165.159.247.254165.159.247.255510
253165.159.248.0/23165.159.248.1 to 165.159.249.254165.159.249.255510
254165.159.250.0/23165.159.250.1 to 165.159.251.254165.159.251.255510
255165.159.252.0/23165.159.252.1 to 165.159.253.254165.159.253.255510
256165.159.254.0/23165.159.254.1 to 165.159.255.254165.159.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses